using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace WebsiteCapture
{
    public static class ComboWrapper
    {
        public enum EDefaultMode
        {
            First,
            Last,
        }

        public static void SelectItem(ComboBox cmb, object item, EDefaultMode mode)
        {
            if (cmb.Items.Count == 0)
                return;
            if (item == null)
            {
                if (mode == EDefaultMode.First)
                    cmb.SelectedItem = cmb.Items[0];
                else if (mode == EDefaultMode.Last)
                    cmb.SelectedItem = cmb.Items[cmb.Items.Count - 1];
                return;
            }

            for (int i = 0; i < cmb.Items.Count; i++)
            {
                if (cmb.Items[i].ToString() == item.ToString())
                {
                    cmb.SelectedItem = cmb.Items[i];
                    break;
                }
            }
        }
    }
}
