using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace WebsiteCapture
{
    public class NotifyListView : ListView
    {
        public NotifyListView()
        {
            items = new ListViewItemCollectionEx(this);
            items.ItemNumberChanged += new ListViewItemCollectionEx.ItemNumberChangedHandler(items_ItemNumberChanged);

            
            //this.OwnerDraw = true;
        }

        void items_ItemNumberChanged(ListViewItemCollectionEx owner, int num)
        {
            if (ItemNumberChanged != null)
                ItemNumberChanged(num);
        }

        private ListViewItemCollectionEx items = null;
        public new ListViewItemCollectionEx Items
        {
            get { return items; }
        }

        public delegate void ItemNumberChangedHandler(int num);
        public event ItemNumberChangedHandler ItemNumberChanged;

        //protected override void OnDrawColumnHeader(DrawListViewColumnHeaderEventArgs e)
        //{
        //    Graphics g = e.Graphics;

        //    LinearGradientBrush GradientBrush = new LinearGradientBrush(e.Bounds, Color.LightBlue, Color.Blue, LinearGradientMode.Vertical);
        //    g.FillRectangle(GradientBrush, e.Bounds);
        //    g.DrawRectangle(new Pen(new SolidBrush(Color.DarkBlue), 1), e.Bounds.X, e.Bounds.Y, e.Bounds.Width - 1, e.Bounds.Height - 1);
            
        //    Font headerFont = new Font("Tahoma", 10);
        //    Size textSize = TextRenderer.MeasureText(g, e.Header.Text, headerFont, new Size(), TextFormatFlags.NoPadding | TextFormatFlags.HorizontalCenter);
        //    Point headerLoc = new Point(e.Bounds.X + (e.Bounds.Width - textSize.Width)/2, e.Bounds.Y + (e.Bounds.Height - textSize.Height)/2);

        //    TextRenderer.DrawText(g, e.Header.Text, headerFont, headerLoc, Color.White);
        //}

        //protected override void OnDrawSubItem(DrawListViewSubItemEventArgs e)
        //{
            

        //    //object value = this.GetItemAt(e.Index, e.SubIndex);
        //    //if (DrawMode == DrawMode.Normal && Items.Count > 0)
        //    //{
        //    //    if ((value as Image) != null)
        //    //        e.Graphics.DrawImageUnscaled((Image)value, e.Bounds);
        //    //    else if ((value as Bitmap) != null)
        //    //    {
        //    //        IntPtr hBmp = ((Bitmap)value).GetHbitmap();
        //    //        e.Graphics.DrawImageUnscaled(Image.FromHbitmap(hBmp), e.Bounds);
        //    //        WinAPI.DeleteObject(hBmp);
        //    //    }
        //    //    else if ((value as byte[]) != null)
        //    //    {
        //    //        try
        //    //        {
        //    //            e.Graphics.DrawImageUnscaled(Image.FromStream(new MemoryStream((byte[])value)), e.Bounds);
        //    //        }
        //    //        catch (Exception ex)
        //    //        {
        //    //            defaultDraw(value, e);
        //    //        }
        //    //    }
        //    //    else
        //    //        defaultDraw(value, e);
        //    //}
        //    //else if (DrawSubItem.GetInvocationList() != null)
        //    //    DrawSubItem.DynamicInvoke(new object[] { this, e });

        //    //bbb

        //    //if ((e.ItemState & ListViewItemStates.Focused) != 0)
        //    //{
        //    //    e.Graphics.FillRectangle(SystemBrushes.Highlight, e.Bounds);
        //    //    e.Graphics.DrawString(e.Item.Text, this.Font,
        //    //    SystemBrushes.HighlightText, e.Bounds);
        //    //}
        //    //else
        //    //{
        //    //    e.DrawBackground();
        //    //    e.DrawText();
        //    //}
        //}
    }
}
